Bug 1650479 - Remove JCA Subsystem Hand-off executor description
Summary: Remove JCA Subsystem Hand-off executor description
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7
Version: JON 3.3.11
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: CR01
: One-off release
Assignee: Josejulio Martínez
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1647383 1657856
TreeView+ depends on / blocked
 
Reported: 2018-11-16 09:51 UTC by Filip Brychta
Modified: 2019-05-16 09:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1650478
Environment:
Last Closed: 2019-05-16 09:27:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1650478 None CLOSED Remove JCA Subsystem Hand-off executor description 2019-06-12 09:15:06 UTC

Internal Links: 1650478

Description Filip Brychta 2018-11-16 09:51:41 UTC
+++ This bug was initially created as a clone of Bug #1650478 +++

Description of problem:
BZ1647383 identified problem with description of handoff-executor for /subsystem=jca/workmanager=default/long-running-threads and /subsystem=jca/workmanager=default/short-running-threads resources.

It says:
An executor to delegate tasks to in the event that a task cannot be accepted. If not specified, tasks that cannot be accepted will be silently discarded.
but according to https://issues.jboss.org/browse/JBEAP-15843 it's not correct description.

This bz is to track changes in plugin descriptor and bz1647383 to track changes in documentation (Complete Resource Reference guide) which is generated based on plugin descriptor.

Version-Release number of selected component (if applicable):
EAP plugin pack 07

How reproducible:
Always

Steps to Reproduce:
1. in JON UI with imported EAP standalone server, navigate to EAP standalone server resource->Subsystems->Connector->jca->Workmanager->Long/Short Running Thread Pool -> Configuration


Actual results:
Description of Handoff Executor is incorrect.

Expected results:
Not sure what is expected for by https://issues.jboss.org/browse/JBEAP-15843. If it's removal of the property or just updating the description.

Additional info:
Note that it applies for both short and long Running Thread Pool.
Not sure what to do with related metrics 'Rejected Count': The number of tasks that have been passed to the handoff-executor (if one is specified) or discarded.
If the fix removes the property, it will be necessary to keep backward compatibility with previous EAP versions and check in which versions the handoff-executor property is valid.

Comment 20 Sunil Kondkar 2019-04-30 11:09:24 UTC
Verified on CR01 build of 3.3 EAP Plugin Pack Update 09

After navigating to EAP standalone server resource->Subsystems->Connector->jca->Workmanager->Long/Short Running Thread Pool -> Configuration, verified that the Hand-off executor is not available in the configuration.
Verified on EAP7.2 and EAP7.1.6 standalone server resource.


Note You need to log in before you can comment on or make changes to this bug.